### Hierarchy

- unknown
  - CreateAccountRequest

## Index

### Constructors

- constructor

### Methods

- getPassword
- serializeBinary
- setPassword
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CreateAccountRequest(): CreateAccountRequest

- Inherited from jspb.Message.constructor

  #### Returns CreateAccountRequest

## Methods

### getPassword

- getPassword(): string

- - Defined in src/protobuf/grpc_pb.d.ts:139

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:142

  #### Returns Uint8Array

### setPassword

- setPassword(value: string): CreateAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:140

  #### Parameters

  - ##### value: string

  #### Returns CreateAccountRequest

### toObject

- toObject(includeInstance?: boolean): CreateAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:143

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CreateAccountRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:146

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateAccountRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateAccountRequest, reader: BinaryReader): CreateAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:147

  #### Parameters

  - ##### message: CreateAccountRequest

  - ##### reader: BinaryReader

  #### Returns CreateAccountRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateAccountRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:145

  #### Parameters

  - ##### message: CreateAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CreateAccountRequest ): CreateAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:144

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateAccountRequest

  #### Returns CreateAccountRequest . AsObject

Generated using TypeDoc